let
  krops = builtins.fetchGit {
    url = "https://cgit.krebsco.de/krops/";
  };
  lib = import "${krops}/lib";
  pkgs = import "${krops}/pkgs" {};
  source = machine: lib.evalSource [
    {
      config.file = toString ./machines;
      nixos-config.symlink = "config/${machine}/configuration.nix";
      nixpkgs.git = {
        clean.exclude = [ "/.version-suffix" ];
        ref = "973910f5c31b9ba6c171c33a8bd7199990b14c72"; # nixos-21.05
        url = https://github.com/NixOS/nixpkgs;
      };
    }
  ];
in
  {
    core-services-01 = pkgs.krops.writeDeploy "deploy-core-services-01" {
      source = source "core-services-01";
      target = "root@core01.internal.rz.ens.wtf";
    };
  }
