{ config, ... }:

let
  my = config.my;
  port = 3000;
in
{
  imports = [ ./drone.nix ];
  services.gitea = {
    enable = true;
    domain = "git.${my.subZone}";
    rootUrl = "https://git.${my.subZone}/";
    httpAddress = "127.0.0.1";
    httpPort = port;
    database.type = "postgres";
    disableRegistration = true;
  };

  services.nginx = {
    enable = true;

    virtualHosts."git.${my.subZone}" = {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:${toString port}";
      };
    };
  };
}
