{ pkgs, ... }:
{
  environment.variables = { EDITOR = "vim"; };

  environment.systemPackages = with pkgs; [
    nixfmt
    git
    (neovim.override {
      vimAlias = true;
      configure = {
        packages.myPlugins = with pkgs.vimPlugins; {
          start = [ vim-lastplace vim-nix ];
          opt = [];
        };
        customRC = ''
          set encoding=utf-8
          set wildmenu

          set nocompatible
          set backspace=indent,eol,start
          set cursorline
          hi CursorLine term=bold cterm=bold ctermbg=darkgrey
          set number
          set relativenumber
          set tabstop=4
          set expandtab
        '';
      };
    }
  )];
}
